#!/bin/sh 
#
#Copyright (c) 2012, Novell, Inc.  All rights reserved.
#
# This script is used to retrieve AFP proxy user used on local system.
# Proxy user list is written to /var/opt/novell/log/proxymgmt/proxycred
# This script is written exclusively for service proxy migration
#

#Only root can execute this script
user_id=`id -u`
if test $user_id -ne 0
then
        echo "afp_get_proxy_cred.sh: Only root user can run this script"
        exit 1
fi

#Help of the script
Usage()
{
                echo ""
                echo "Usage: afp_get_proxy_cred.sh [options]"
                echo "          -h                      Prints this summary"
#               echo "          -f                      Credentilas File"
		echo "          -e                      (Optional) yes or no. Encrypt the credentials or not. Default yes "
		echo ""
                exit 1;
}

: '
if test $# -eq 0
then
        Usage
fi
'

while getopts e:h o
do
        case "$o" in
                     
#		     f)CREDILE="$OPTARG";;
		     e)ENCORNO="$OPTARG";;	
                     h)Usage;;
                   [?]) Usage;;
        esac
done

PROXY_LOG_FILE=/var/opt/novell/log/proxymgmt/pxymgmt.log
CRED_FILE=/var/opt/novell/log/proxymgmt/proxycred
CRED_TEMP_FILE=/var/opt/novell/log/proxymgmt/tempcred
CRED_TEMP_FILE_INPUT=/var/opt/novell/log/proxymgmt/tempcredin
ENCBINARY=/opt/novell/proxymgmt/bin/oes-enc-dec
SERVBINARY=/opt/novell/afptcpd/bin/afp_retrieve_proxy_cred.sh
ENCRYPTCRED="yes"

if test "$ENCORNO" != ""
then
	ENCORNO=`echo $ENCORNO | tr '[:upper:]' '[:lower:]'`
	ENCRYPTCRED="$ENCORNO"
fi

#Retrieve Service proxy user name
$SERVBINARY username $CRED_TEMP_FILE
READ_PROXY_NAME=$?
if [ $READ_PROXY_NAME -eq 0 ] && [ -f $CRED_TEMP_FILE ]
then
	#Save proxy user name in a variable
	read PROXYNAME < $CRED_TEMP_FILE
	rm $CRED_TEMP_FILE
else
	echo "Could not retrieve AFP proxy user name: $READ_PROXY_NAME " >> $PROXY_LOG_FILE
	exit $READ_PROXY_NAME
fi

#Retrieve Service proxy password
$SERVBINARY password $CRED_TEMP_FILE
READ_PROXY_PWD=$?
if [ $READ_PROXY_PWD -eq 0 ] && [ -f $CRED_TEMP_FILE ]
then
	#Save proxy user name in a variable
	read PROXYPWD < $CRED_TEMP_FILE
	rm $CRED_TEMP_FILE
else
	echo "Could not retrieve AFP proxy user password: $READ_PROXY_PWD " >> $PROXY_LOG_FILE
	exit $READ_PROXY_PWD
fi

if test "$ENCRYPTCRED" = "yes"
then
	#Encrypt the proxy user password
	echo -n "$PROXYPWD" > $CRED_TEMP_FILE_INPUT
	$ENCBINARY 1 $CRED_TEMP_FILE_INPUT $CRED_TEMP_FILE
	ENC_PROXY_PWD=$?
	if [ $ENC_PROXY_PWD -ne 0 ]
	then
        	echo "Could not encrypt AFP proxy user password: $ENC_PROXY_PWD" >> $PROXY_LOG_FILE
        	exit $ENC_PROXY_PWD
	fi

	PROXYPWD=`cat $CRED_TEMP_FILE`
	rm $CRED_TEMP_FILE
	rm $CRED_TEMP_FILE_INPUT
fi

#Remove the Proxy entry from cred file, if already present
sed -i '/AFPPROXY=/d' $CRED_FILE

#Save the AFP proxy DN and encrypted password in CRED_FILE in the format AFPPROXY=PROXYDN:PASSWORD
echo -n "AFPPROXY=$PROXYNAME:$PROXYPWD" >> $CRED_FILE
echo "" >> $CRED_FILE

exit 0
 
