#!/bin/sh
#
#Copyright (c) 2010, Novell, Inc.  All rights reserved.
#
#Script to do a self password change for any user objcet in eDirectory.
#current and new proxy passwords will be read from env variables
#OLD_PROXY_DATA and NEW_PROXY_DATA.
PROXY_LOGFILE="/var/opt/novell/log/proxymgmt/pxymgmt.log"
user_id=`id -u`
if test $user_id -ne 0
then 
	echo "change_pwd.sh : Only root user can run this script"
	exit 1
fi

if test $# == 3 
then 
	TMP_ADD_PROXYUSER_LDIFFILE=/tmp/change_pwd.ldif
	LDAP_MODIFY_BINARY=/usr/bin/ldapmodify
	LDAP_SEC_CERT="env LDAPTLS_CACERT=/etc/opt/novell/certs/SSCert.pem"
        echo "Going to change the password in eDirectory"
	mkdir -p /tmp
        touch $TMP_ADD_PROXYUSER_LDIFFILE
        echo "dn: "$1 >> $TMP_ADD_PROXYUSER_LDIFFILE
        echo "changetype: modify" >> $TMP_ADD_PROXYUSER_LDIFFILE
        echo "delete: userpassword" >> $TMP_ADD_PROXYUSER_LDIFFILE
	echo "userPassword: "$OLD_PROXY_DATA >> $TMP_ADD_PROXYUSER_LDIFFILE
	echo "-" >> $TMP_ADD_PROXYUSER_LDIFFILE
        echo "add: userpassword" >> $TMP_ADD_PROXYUSER_LDIFFILE
	echo "userPassword: "$NEW_PROXY_DATA >> $TMP_ADD_PROXYUSER_LDIFFILE
	echo "ldapmodify command going to be executed is $LDAP_SEC_CERT $LDAP_MODIFY_BINARY -f $TMP_ADD_PROXYUSER_LDIFFILE -D "$1" -w -H ldaps://$2:$3 " >> $PROXY_LOGFILE	
        $LDAP_SEC_CERT $LDAP_MODIFY_BINARY -f $TMP_ADD_PROXYUSER_LDIFFILE -D "$1" -w "$OLD_PROXY_DATA" -H ldaps://$2:$3 >> $PROXY_LOGFILE 2>&1
	export PASSWORD_CHANGE=$?
        echo "ldapmodify return value is: $PASSWORD_CHANGE" >> $PROXY_LOGFILE
	rm $TMP_ADD_PROXYUSER_LDIFFILE
	exit $PASSWORD_CHANGE 
	
else
	echo "Usage: change_pwd.sh <proxy_fdn> <ldapserver_ip> <ldap_port> ";
	exit 1
fi
