#!/bin/sh 
#
#Copyright (c) 2008, Novell, Inc.  All rights reserved.
#
#Script to interactively/parametrically add common proxy user credentials (fdn/passwd) 
#as common-proxy record into OCS and do some support work.


user_id=`id -u`
if test $user_id -ne 0
then 
	echo "cp_update_proxy_cred.sh : Only root user can run this script"
	exit 1
fi

if [ $# -ge 1 ]
then
	
	#ocsfor_common_proxy  <proxyUsername>      
	#ocsfor_common_proxy 'cn=user,o=novell'   
	#with the password set in environment variable: OES_PROXY_DATA

	username=$1
	passwd=$OES_PROXY_DATA
	service_name=$2
	shift
	shift
	shift
	/usr/sbin/oescredstore -s -n "$service_name" -u $username -p $passwd
fi
 
# Add the existing common proxy to proxy_users.conf if its not added already.
PROXY_CONF_FILE=/etc/opt/novell/proxymgmt/proxy_users.conf
echo "Adding $username to $PROXY_CONF_FILE"
grep "$username" $PROXY_CONF_FILE >> /dev/null
if test $? != 0 
then
          echo $username >> $PROXY_CONF_FILE
fi
															
