#!/bin/sh
#
#Copyright (c) 2010, Novell, Inc.  All rights reserved.
#
# This script is used to retrieve proxy users used on local system.
# Proxy user list is written to /var/opt/novell/log/proxymgmt/pxylist.txt
#

SVC_PROXY_LOGFILE="/var/opt/novell/log/proxymgmt/pxylist.txt"
SVC_PROXY_TMPFILE="/var/opt/novell/log/proxymgmt/pxyuser.txt"

echo "Proxy users in use on the local system" > $SVC_PROXY_LOGFILE

CP_FDN=`/opt/novell/proxymgmt/bin/cp_retrieve_proxy_cred username`
echo "Common Proxy: $CP_FDN" >> $SVC_PROXY_LOGFILE

#AFP Proxy User 
if [ -f "/opt/novell/afptcpd/bin/afp_retrieve_proxy_cred.sh" ];
then	
	/opt/novell/afptcpd/bin/afp_retrieve_proxy_cred.sh username $SVC_PROXY_TMPFILE 
	if [ -f $SVC_PROXY_TMPFILE ];
	then
		read SRVC_PROXY < $SVC_PROXY_TMPFILE
		if [ "SRVC_PROXY" != "" ];
		then
			echo "AFP Proxy User: $SRVC_PROXY" >> $SVC_PROXY_LOGFILE
		fi
		rm $SVC_PROXY_TMPFILE
	fi
fi

#CIFS Proxy User 
if [ -f "/opt/novell/cifs/bin/cifs_retrieve_proxy_cred.sh" ];
then	
	/opt/novell/cifs/bin/cifs_retrieve_proxy_cred.sh username $SVC_PROXY_TMPFILE 
	if [ -f $SVC_PROXY_TMPFILE ];
	then
		read SRVC_PROXY < $SVC_PROXY_TMPFILE
		if [ "SRVC_PROXY" != "" ];
		then
			echo "CIFS Proxy User: $SRVC_PROXY" >> $SVC_PROXY_LOGFILE
		fi
		rm $SVC_PROXY_TMPFILE
	fi
fi

#DNS Proxy User 
if [ -f "/opt/novell/named/bin/dns_retrieve_proxy_cred" ];
then	
	/opt/novell/named/bin/dns_retrieve_proxy_cred username $SVC_PROXY_TMPFILE 
			
	if [ -f $SVC_PROXY_TMPFILE ];
	then
		read SRVC_PROXY < $SVC_PROXY_TMPFILE
		rm $SVC_PROXY_TMPFILE
		if [ "SRVC_PROXY" != "" ];
		then
			echo "DNS Proxy User: $SRVC_PROXY" >> $SVC_PROXY_LOGFILE
		fi
	fi
fi

#DHCP Proxy User 
if [ -f "/opt/novell/dhcp/bin/dhcp_retrieve_proxy_cred" ];
then	
	/opt/novell/dhcp/bin/dhcp_retrieve_proxy_cred username $SVC_PROXY_TMPFILE 
			
	if [ -f $SVC_PROXY_TMPFILE ];
	then
		read SRVC_PROXY < $SVC_PROXY_TMPFILE
		rm $SVC_PROXY_TMPFILE
		if [ "SRVC_PROXY" != "" ];
		then
			echo "DHCP Proxy User: $SRVC_PROXY" >> $SVC_PROXY_LOGFILE
		fi
	fi
fi

#NetStorage Proxy User 
if [ -f "/opt/novell/netstorage/bin/ns_retrieve_proxy_cred" ];
then	
	/opt/novell/netstorage/bin/ns_retrieve_proxy_cred username $SVC_PROXY_TMPFILE 
			
	if [ -f $SVC_PROXY_TMPFILE ];
	then
		read SRVC_PROXY < $SVC_PROXY_TMPFILE
		rm $SVC_PROXY_TMPFILE
		if [ "SRVC_PROXY" != "" ];
		then
			echo "NetStorage Proxy User: $SRVC_PROXY" >> $SVC_PROXY_LOGFILE
		fi
	fi
fi

#NCS Proxy User 
if [ -f "/opt/novell/ncs/bin/ncs_retrieve_proxy_cred" ];
then	
	/opt/novell/ncs/bin/ncs_retrieve_proxy_cred username $SVC_PROXY_TMPFILE 
			
	if [ -f $SVC_PROXY_TMPFILE ];
	then
		read SRVC_PROXY < $SVC_PROXY_TMPFILE
		rm $SVC_PROXY_TMPFILE
		if [ "SRVC_PROXY" != "" ];
		then
			echo "Novell Cluster Services Proxy User: $SRVC_PROXY" >> $SVC_PROXY_LOGFILE
		fi
	fi
fi

#LUM Proxy User 
if [ -f "/usr/bin/lum_retrieve_proxy_cred" ];
then	
	/usr/bin/lum_retrieve_proxy_cred username $SVC_PROXY_TMPFILE 
			
	if [ -f $SVC_PROXY_TMPFILE ];
	then
		read SRVC_PROXY < $SVC_PROXY_TMPFILE
		rm $SVC_PROXY_TMPFILE
		if [ "SRVC_PROXY" != "" ];
		then
			echo "LUM Proxy User: $SRVC_PROXY" >> $SVC_PROXY_LOGFILE
		fi
	fi
fi

echo "Names of proxy users used on local system is written to $SVC_PROXY_LOGFILE"
